Editor attributi avanzato

Lorik_

Utente poco attivo
Professione: .
Software: Autocad 2011
Regione: Roma
Buongiorno a tutti, vorrei chiedere un'informazione riguardo alcuni disegni che debbo andare a modificare.

In questi disegni sono presenti tantissime caselle di testo: non si tratta di testi semplici o di caselle di testo editabili ma proprio di blocchi che hanno alcune proprietà di testo. cliccando sul testo in oggetto si apre la finestra di dialogo "Editor attributi avanzato" che permette di modificare i vari campi (per modificare il testo vero e proprio) e gli attributi tipo layer, colore, altezza ecc.

mi trovo a dover modificare l'altezza di ogni testo presente sul disegno e sto parlando di un centinaio di caselle di testo per ogni disegno...purtroppo copiando le proprietà tra l'uno e l'atro non accade nulla e la modifica va fatta uno ad uno aggiungendo l'aggravante di modifica di ogni campo per ogni finestra di dialogo...

è possibile velocizzare tale modifica o mi devo mettere di santa pazienza?

grazie a tutti, spero di essere stato chiaro
 

Tristan

Moderatore Civil 3D
Membro dello Staff
Professione: Application Engineer
Software: Autodesk Civil 3D, Revit e altre amenità
Regione: Trentino
Modifica il blocco...
 

Lorik_

Utente poco attivo
Professione: .
Software: Autocad 2011
Regione: Roma
...già provato, comanda sempre l'attributo "altezza testo" nella finestra di dialogo
 

GP.

Utente Senior
Professione: Nientologo
Software: uozapp
Regione: Vercelli
Prova Cambia_Altezza_Attributi.
Il programma seleziona TUTTI gli attributi nel dwg, se vuoi che venga richiesta la SELEZIONE dei blocchi da processare cerca nel codice e modifica le seguenti righe:

togliere puntoevirgola -> ;(prompt "\nSelezionare i Blocchi da processare")
togliere puntoevirgola -> ;(setq sel (ssget '((0 . "INSERT"))))
inserire puntoevirgola -> ;(setq sel (ssget "_X" '((0 . "INSERT"))))
 

giugak

Utente poco attivo
Professione: geometra
Software: Revit-3DS max - Autocad
Regione: Sicilia
Prova Cambia_Altezza_Attributi.
Il programma seleziona TUTTI gli attributi nel dwg, se vuoi che venga richiesta la SELEZIONE dei blocchi da processare cerca nel codice e modifica le seguenti righe:

togliere puntoevirgola -> ;(prompt "\nSelezionare i Blocchi da processare")
togliere puntoevirgola -> ;(setq sel (ssget '((0 . "INSERT"))))
inserire puntoevirgola -> ;(setq sel (ssget "_X" '((0 . "INSERT"))))

ciao volevo sapere come funziona per cambiare gli attributi. Devo caricare lisp o posso procedere tramite una procedura? uso Autocad 2013. Grazie
 

x11start

Utente Standard
Professione: Disegnatore prefabbricati
Software: Autocad
Regione: Piemonte
E' un file lisp, quindi devi caricarlo digitando: (load "CAMBIA_ALTEZZA_ATTRIBUTI") e lanciarlo con CAA

Volendo puoi provare anche il mio: VARHATT
lo carichi con (load "VARHATT") e lo lanci con VARHATT
 

Allegati

x11start

Utente Standard
Professione: Disegnatore prefabbricati
Software: Autocad
Regione: Piemonte
PS. Spero che il grande GP non si offenda della concorrenza! ;)